Read organization defaults for service accounts, MCP access, built-in agent mode, and high-risk action policy.
GET
/
api
/
headless
/
v1
/
organizations
/
{organizationId}
/
settings
Get organization settings
curl --request GET \
--url https://api.forge.ai/api/headless/v1/organizations/{organizationId}/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.forge.ai/api/headless/v1/organizations/{organizationId}/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.forge.ai/api/headless/v1/organizations/{organizationId}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.forge.ai/api/headless/v1/organizations/{organizationId}/settings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"settings": {
"organizationId": "<string>",
"serviceAccountsEnabled": true,
"mcpEnabled": true,
"mcpReadOnly": true,
"blockDestructiveMcp": true,
"builtInAgentEnabled": true,
"maxServiceAccountTokenLifetimeSeconds": 2,
"allowedServiceAccountScopes": [
"<string>"
],
"allowedServiceAccountCidrs": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "<string>"
}⌘I
Get organization settings
curl --request GET \
--url https://api.forge.ai/api/headless/v1/organizations/{organizationId}/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.forge.ai/api/headless/v1/organizations/{organizationId}/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.forge.ai/api/headless/v1/organizations/{organizationId}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.forge.ai/api/headless/v1/organizations/{organizationId}/settings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"settings": {
"organizationId": "<string>",
"serviceAccountsEnabled": true,
"mcpEnabled": true,
"mcpReadOnly": true,
"blockDestructiveMcp": true,
"builtInAgentEnabled": true,
"maxServiceAccountTokenLifetimeSeconds": 2,
"allowedServiceAccountScopes": [
"<string>"
],
"allowedServiceAccountCidrs": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "<string>"
}